Ext.define('OBJISGP.controller.Employes', {
    extend: 'Ext.app.Controller',
	
	stores: [		// Liste des stores
        'Employes'
    ],
	
	views: [		// liste des vues
        'employe.List',
		'employe.Edit'
    ],
	
	models: [ 		// liste des models
        'OBJISGP.model.Employe'
    ],

	init: function() {
        this.control({
            'employelist': {
                itemdblclick: this.editEmploye
            },
			'employeedit button[action=enregistrer]': {    // instruction ComponentQuerySelector .  
                click: this.updateUser				// Traitement sur click bouton 'Enregistrer'.
            }
			
        });
    },

	updateUser: function(button) {
   
		var win    = button.up('window'),    // Pointeur sur la fentre Edition
			form   = win.down('form'),		// Pointeur sur le formulaire interne  la fentre
			record = form.getRecord(),		// Rcupration donnes du store
			values = form.getValues();		// Rcupration donnes du formulaire

		record.set(values);					// Mise  jour du store
		win.close();
		
		this.getEmployesStore().sync();		// Synchronisation
    },
	
	/*
    editEmploye: function(grid, record) {
        console.log('Double click sur Employ ' + record.get('nom'));
    }
	*/
	
    editEmploye: function(grid, record) {
	
       var view = Ext.widget('employeedit'); // Rcupration vue via xtype (widget.employeedit)
	   
	   view.down('form').loadRecord(record); // binding formulaire d'dition avec infos selection
	   
    }
	
});