Ext.define('OBJISGP.store.Employes', {

	extend: 'Ext.data.Store',
	
	model: 'OBJISGP.model.Employe',
	
    autoLoad: true,

    proxy: {			
        type: 'ajax',

		api: {
				create: 'serveur/createEmployes.php',
				read: 'serveur/getEmployes.php',
				update: 'serveur/updateEmploye.php',
				destroy: 'serveur/deleteEmploye.php'
			},
			
        reader: {			// GET http : flux json 
            type: 'json',
            root: 'employes',
            successProperty: 'success'
        },
		
		writer: {			// POST http : flux json
			type: 'json',
			writeAllFields: false,
			root: 'data'
		}	
    }
});